Subject: Kroger Thanksgiving celebration on us

From: Kroger Card Savings_6345 <[email-masked]>
Date: Wed, 12 Nov 2014 10:13:40 -0800

Hello Kroger Shopper - Krb-wg-archive

We're Giving Back This Thanksgiving

We we like to extend our appreciation to you with a 25 Kroger Card to use as you wish.

Your Thanksgiving Reward

Please activate/claim your card by Nov-13 2014
No.2074550167

Home

|

Departments

|

Thanksgiving Vouchers

I pointed one out and the owner gave me a look like "you can't afford that"...I wanted to show her wrong...but the hair was WAY too short...it was not worth the , nor was I going to buy it if it wasn't what I requested. I used to love coming to this store. An old friend of mine used to work here and she always helped me then, not sure

You can locate your neighborhoof Kroger online. From- Jennings KDR Digital Team| 152 Crouse St |Mansfield |OH. You can take yourself off the list here/options

of them.

Starting with the soft shell crab, which by the way did not look soft at all, along with the stuffed squash blossoms, was a tasty start to the meal; albeit a little unhealthy as both items were fried and probably contained a lot of cornstarch. Not a knock on the food, because I enjoyed it, just a friendly observation.

For the main course, I ordered the surf

2 strawberry margaritas and they were 5 each...pretty average for any other day...no special on those. However...they have amazing shrimp tacos....holy cow they were delicious I would come back for those. I don't like guacamole...but someone at our table got some and they

told us it was half and half The redbean was a little dry and maybe too sweet but still not bad.

Came in with 3.5 expectations from a trusted yelper and came

burn with the brightest flame
And the world's gonna know your name at... PORTERHOUSE - The Script (hall of fame)

We came in a group of 9 and although the prix fix menu looked like an incredible value, it was impossible to accommodate everyone (vegetarians etc.) and also I don't think you can do it for a larger group anyways.

Since many people were ordering steaks, I